The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Component Alert Packet Log

Prev Next

This URL returns the packet log files related to the component alerts in a ZIP file.

Resource URL

GET /alerts/<alert_id>/triggeredpkt

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

alert_id

Alert uuid

Number

Yes

Query Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

manager

Name of the Manager - Required in case a multiple Managers are monitored with a single Manager

String

No

Response Parameters

Returns packet log files associated with the alert in a ZIP file.

Example

Request

GET https://<NSM_IP>/sdkapi/alerts/12345678/triggeredpkt?sensorId=1001

Payload

NA

Response

<packet logs data in ZIP file>

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

9803

Invalid alert id

2

404

9803

Sensor id is required

3

404

9803

Manager name is required